From 3ab99f9bb5687d2a5023225c66068325ae11e638 Mon Sep 17 00:00:00 2001
From: Shveta Malik <shveta.malik@gmail.com>
Date: Tue, 5 Mar 2024 09:28:09 +0530
Subject: [PATCH v1] Specify timeout unit in ConditionVariableTimedSleep

ConditionVariableTimedSleep() accepts timeout but does not
specify the unit of timeout anywhere. Introduce a comment
in the header indicating that the timeout parameter is
in milliseconds.
---
 src/backend/storage/lmgr/condition_variable.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/backend/storage/lmgr/condition_variable.c b/src/backend/storage/lmgr/condition_variable.c
index 1e8559ed47..112a518bae 100644
--- a/src/backend/storage/lmgr/condition_variable.c
+++ b/src/backend/storage/lmgr/condition_variable.c
@@ -102,6 +102,8 @@ ConditionVariableSleep(ConditionVariable *cv, uint32 wait_event_info)
 /*
  * Wait for a condition variable to be signaled or a timeout to be reached.
  *
+ * The "timeout" is given in milliseconds.
+ *
  * Returns true when timeout expires, otherwise returns false.
  *
  * See ConditionVariableSleep() for general usage.
-- 
2.34.1

